<?php
	//
	$LIMPIAR=0;
	//
	$SYS_FOC="Nom";//Primer control en recibir el focus
	//
	$Nom=V($_POST['Nom']);	
	$Hab=V($_POST['Hab']);	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$Nom=gs("car_nom","web_caracteristicas","id_car=$Id");
		$Hab=gs("car_hab","web_caracteristicas","id_car=$Id");
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		//
	}
	//
	if($StrCmd=="G"){
		if(GetC("web_caracteristicas","car_nom='$Nom'")>0){
			$SYS_MSG="Caracteristica ya registrada";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$Id=GenId("id_car","web_caracteristicas");
			$s="INSERT INTO web_caracteristicas VALUES ($Id,'$Nom','$Hab')";
			ejt($s);
			//
			$SYS_MSG="Datos registrados";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="M"){
		if(GetC("web_caracteristicas","car_nom='$Nom' AND id_car<>$StrId")>0){
			$SYS_MSG="Caracteristica ya registrada";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$s="UPDATE web_caracteristicas 
				SET car_nom='$Nom',
					car_hab='$Hab' 
				WHERE id_car=$StrId";
			ejt($s);
			//
			$SYS_MSG="Datos actualizados";
			$SYS_FOC="Nom";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){		
		/*
		if(GetC("web_productos_tipos_det","td_id_tip=$StrId")>0){
			$SYS_MSG="El tipo de producto esta relacionado a uno o mas sub tipos";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}
		*/
		if(strlen($StrGT)==0){
			$s="DELETE FROM web_caracteristicas WHERE id_car=$StrId";	
			ejt($s);
			//
			$SYS_MSG="Registro Eliminado";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$Nom="";
		$Hab="";
	}
	//////////////////////////////////	
?>